Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Mon, 26 Jun 2017 15:07:21 +0300

On 6/26/17 11:18 AM, martin rudalics wrote:

> Yet I doubt that such popups would be desirable on terminal frames.  For
> my taste, they would appear far too obtrusive and distracting.  I think
> any such popup should be treated like a tooltip and get displayed in the
> echo area.

We already have a company-mode frontend that uses the echo area to show 
completions (two of them, actually, slightly different from each other).

Problem is, it's hard to fit the same information you would in a popup, 
and the echo area is used for other things (often at the same time): 
e.g. ElDoc, as well as some extra info that company-mode shows for the 
currently selected completion. So the user would have to give up that.